Get an account

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Memo Bank API MCP server": {
  "url": "https://docs.api.memo.bank/mcp"
}
Close
GET /v1/accounts/{id}

Scope: accounts:read

Path parameters

  • id string(uuid) Required

    ID of the account.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string(uuid) Required

      ID of the account.

    • name string Required

      Name of the account, as seen in the Memo Bank interface.

    • status string Required

      Status of the account.

      Values are active or closed.

    • balance integer(int64) Required

      Balance of the account, in cents. It represents the available money on the account at the time of the request. Note that authorized overdrafts are not included in the balance.

    • currency string Required

      Currency of the account balance, in ISO 4217 format.

    • iban string Required

      Main IBAN of the account.

    • type string Required

      Type of the account.

      Values are current_account, ring_fenced_account, ring_fenced_credit_servicer_account, settlement_account, specially_dedicated_account, trust_account, meal_voucher_account, booster_account, dedicated_liquidity_account, dedicated_recovery_account, or line_item_sub_account.

    • is_main boolean Required

      Flag indicating if this account is the main account of your workspace.

GET /v1/accounts/{id}
curl \
 --request GET 'https://api.memo.bank/v1/accounts/c70bd7bc-58e0-4fdb-8c1f-70186e0de587'
Response examples (200)
{
  "id": "db2b50c0-a943-4eb1-a69f-fa37f112daa8",
  "name": "Main account",
  "status": "active",
  "balance": 42,
  "currency": "EUR",
  "iban": "FR7617338000017498690379033",
  "type": "current_account",
  "is_main": true
}